GLAD(1)

NAME
glad - generator of API for graphics programming

SYNOPSIS
usage: glad [-h] [--profile {core,compatibility}] --out-path OUT [--api API]

DESCRIPTION
Uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL Loader made for your needs. Glad currently supports the languages C, D, Nim, Pascal and Volt.

    --generator {c,c-debug,d,nim,pascal,volt} [--extensions EXTENSIONS] [--spec {gl,egl,glx,wgl}] [--no-loader] [--omit-khrplatform] [--local-files] [--quiet]

OPTIONS

-h, --help
    show this help message and exit

--profile {core,compatibility}
    OpenGL profile (defaults to compatibility)

--out-path OUT
    Output path for loader

--api API
    API type/version pairs, like "gl=3.2,gles=", no version means latest

--generator {c,c-debug,d,nim,pascal,volt}
    Language to generate the binding for

--extensions EXTENSIONS
    Path to extensions file or comma separated list of extensions, if missing all extensions are included

--spec {gl,egl,glx,wgl}
    Name of the spec

--no-loader

--omit-khrplatform
    Omits inclusion of the khrplatform.h file which is often unnecessary. Only has an effect if used together with c generators.

--local-files
    Forces every file directly into the output directory. No src or include subdirectories are generated. Only has an effect if used together with c generators.

--quiet